org.apache.ignite.internal.processors.cache.persistence.snapshot.dump

## Interface DumpEntryChangeListener

All Known Implementing Classes:
  CreateDumpFutureTask

    public interface DumpEntryChangeListener

Copy on write listener that handles changes of entries during dump.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `beforeChange(GridCacheContext cctx, KeyCacheObject key, @Nullable CacheObject val, long expireTime, GridCacheVersion ver)`

### Method Detail

#### beforeChange

    void beforeChange(GridCacheContext cctx,
                      KeyCacheObject key,
                      @Nullable
                      @Nullable CacheObject val,
                      long expireTime,
                      GridCacheVersion ver)

Parameters:
  `cctx` - Cache context.
  `key` - Key.
  `val` - Value BEFORE change.
  `expireTime` - Expire time BEFORE change.
  `ver` - Version of entry BEFORE change.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023